using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;

namespace Luticate2.Auth.Utils.Business.ObjectConverterDescriptor
{
    public class LuObjectConverterDescriptorEnumerable : LuObjectConverterDescriptor
    {
        public LuObjectConverterDescriptorEnumerable()
        {
            AddDynamicMethodConverterTemplate((Expression<Func<IEnumerable<object>, bool>>)(source => source.Any()));
            AddDynamicMethodConverterTemplate(
                (Expression<Func<IEnumerable<object>, Func<object, bool>, bool>>)((source, filter) => source.Any(filter)));
        }
    }
}