﻿using System;
using Luticate2.Auth.Utils.Dbo.Result;

namespace Luticate2.Auth.Utils.Exceptions
{
    public class LuResultException : Exception
    {
        public LuResult<object> Result { get; set; }

        public LuResultException(LuResult<object> result) : base(result.PrivateDetails, result.Exception)
        {
            Result = result;
        }
    }
}